Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.util.xml
Interface XmlSerializable

All Known Subinterfaces:
  Component, ComponentAddress, Correlation, Entry, Filter, ManagementEvent, Match, MembershipContentRule, MetadataDescriptor, NotificationMessage, Participant, Policy, RelationshipResource, RelationshipType, ResourcePropertyCollection, SetRequest, SetRequestComponent, Situation, StateTransition, StateType, SubscriptionManager, SubstitutableMessage, Topic, TopicNamespace, TopicSet

All Known Implementing Classes:
  AbstractSetRequestComponent, AddRequest, AddResponse, ComplexMatch, EndpointReference, FilterCollection, GetCurrentMessage, GetCurrentMessageResponse, GetMetadataRequest, GetMetadataResponse, GetMultipleRequest, GetMultipleResponse, GetRequest, GetResponse, MatchCorrelation, MessageHeaders, MessagePatternFilter, OpenMetadataDescriptor, ProducerPropertiesFilter, QueryRelationships, QueryRelationshipsResponse, QueryRequest, QueryResponse, ResourcePropertyChangeEvent, SetResponse, SetTerminationTime, SetTerminationTimeResponse, SimpleComponent, SimpleComponentAddress, SimpleEntry, SimpleManagementEvent, SimpleMatch, SimpleMembershipContentRule, SimpleMetadataDescriptor, SimpleNotificationMessage, SimpleParticipant, SimpleRelationshipResource, SimpleRelationshipType, SimpleResourcePropertyCollection, SimpleSetRequest, SimpleSituation, SimpleStateTransition, SimpleStateType, SimpleSubscriptionManager, SimpleSubstitutableMessage, SimpleTopic, SimpleTopicNamespace, SimpleTopicSet, SoapFault, Subscribe, SubscribeResponse, TopicFilter, XPathCorrelation

public interface XmlSerializable

XmlSerializable is an interface for types that can be converted into an XML representation.

Author:
  Dan Jemiolo (danj)

Method Summary
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document factory)` Converts this object into an XML representation, as defined by its related schema or specification.

Method Detail

### toXML

    public org.w3c.dom.Element toXML()

  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document factory)

  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Parameters:
    `factory` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD